Package com.omnisci.thrift.server

## Class OmniSci.execute_query_step_args

- java.lang.Object
- - com.omnisci.thrift.server.OmniSci.execute_query_step_args

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<OmniSci.execute_query_step_args>`, `org.apache.thrift.TBase<OmniSci.execute_query_step_args,​OmniSci.execute_query_step_args._Fields>`, `org.apache.thrift.TSerializable`

Enclosing class:
  OmniSci

    public static class OmniSci.execute_query_step_args
    extends Object
    implements org.apache.thrift.TBase<OmniSci.execute_query_step_args,​OmniSci.execute_query_step_args._Fields>, Serializable, Cloneable, Comparable<OmniSci.execute_query_step_args>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `OmniSci.execute_query_step_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<OmniSci.execute_query_step_args._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TPendingQuery` `pending_query`
`String` `start_time_str`
`long` `subquery_id`

### Constructor Summary

Constructors
`execute_query_step_args()`
`execute_query_step_args​(OmniSci.execute_query_step_args other)` Performs a deep copy on other.
`execute_query_step_args​(TPendingQuery pending_query, long subquery_id, String start_time_str)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(OmniSci.execute_query_step_args other)`
`OmniSci.execute_query_step_args` `deepCopy()`
`boolean` `equals​(OmniSci.execute_query_step_args that)`
`boolean` `equals​(Object that)`
`OmniSci.execute_query_step_args._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(OmniSci.execute_query_step_args._Fields field)`
`TPendingQuery` `getPending_query()`
`String` `getStart_time_str()`
`long` `getSubquery_id()`
`int` `hashCode()`
`boolean` `isSet​(OmniSci.execute_query_step_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetPending_query()` Returns true if field pending_query is set (has been assigned a value) and false otherwise
`boolean` `isSetStart_time_str()` Returns true if field start_time_str is set (has been assigned a value) and false otherwise
`boolean` `isSetSubquery_id()` Returns true if field subquery_id is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(OmniSci.execute_query_step_args._Fields field, Object value)`
`OmniSci.execute_query_step_args` `setPending_query​(TPendingQuery pending_query)`
`void` `setPending_queryIsSet​(boolean value)`
`OmniSci.execute_query_step_args` `setStart_time_str​(String start_time_str)`
`void` `setStart_time_strIsSet​(boolean value)`
`OmniSci.execute_query_step_args` `setSubquery_id​(long subquery_id)`
`void` `setSubquery_idIsSet​(boolean value)`
`String` `toString()`
`void` `unsetPending_query()`
`void` `unsetStart_time_str()`
`void` `unsetSubquery_id()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### pending_query

    public TPendingQuery pending_query

#### subquery_id

    public long subquery_id

#### start_time_str

    public String start_time_str

#### metaDataMap

    public static final Map<OmniSci.execute_query_step_args._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### execute_query_step_args

    public execute_query_step_args()

#### execute_query_step_args

    public execute_query_step_args​(TPendingQuery pending_query,
                                   long subquery_id,
                                   String start_time_str)

#### execute_query_step_args

    public execute_query_step_args​(OmniSci.execute_query_step_args other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public OmniSci.execute_query_step_args deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<OmniSci.execute_query_step_args,​OmniSci.execute_query_step_args._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<OmniSci.execute_query_step_args,​OmniSci.execute_query_step_args._Fields>`

#### getPending_query

    public TPendingQuery getPending_query()

#### setPending_query

    public OmniSci.execute_query_step_args setPending_query​(TPendingQuery pending_query)

#### unsetPending_query

    public void unsetPending_query()

#### isSetPending_query

    public boolean isSetPending_query()

Returns true if field pending_query is set (has been assigned a value) and false otherwise

#### setPending_queryIsSet

    public void setPending_queryIsSet​(boolean value)

#### getSubquery_id

    public long getSubquery_id()

#### setSubquery_id

    public OmniSci.execute_query_step_args setSubquery_id​(long subquery_id)

#### unsetSubquery_id

    public void unsetSubquery_id()

#### isSetSubquery_id

    public boolean isSetSubquery_id()

Returns true if field subquery_id is set (has been assigned a value) and false otherwise

#### setSubquery_idIsSet

    public void setSubquery_idIsSet​(boolean value)

#### getStart_time_str

    public String getStart_time_str()

#### setStart_time_str

    public OmniSci.execute_query_step_args setStart_time_str​(String start_time_str)

#### unsetStart_time_str

    public void unsetStart_time_str()

#### isSetStart_time_str

    public boolean isSetStart_time_str()

Returns true if field start_time_str is set (has been assigned a value) and false otherwise

#### setStart_time_strIsSet

    public void setStart_time_strIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(OmniSci.execute_query_step_args._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<OmniSci.execute_query_step_args,​OmniSci.execute_query_step_args._Fields>`

#### getFieldValue

    public Object getFieldValue​(OmniSci.execute_query_step_args._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<OmniSci.execute_query_step_args,​OmniSci.execute_query_step_args._Fields>`

#### isSet

    public boolean isSet​(OmniSci.execute_query_step_args._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<OmniSci.execute_query_step_args,​OmniSci.execute_query_step_args._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(OmniSci.execute_query_step_args that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(OmniSci.execute_query_step_args other)

Specified by:
  `compareTo` in interface `Comparable<OmniSci.execute_query_step_args>`

#### fieldForId

    public OmniSci.execute_query_step_args._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<OmniSci.execute_query_step_args,​OmniSci.execute_query_step_args._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`